Documentation Index
Fetch the complete documentation index at: https://docs.knoxcall.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /admin/migrations
List all migrations for the tenant.
Returns the most recent 100 migrations for the tenant. No query parameters are supported.
Response
{
"migrations": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"provider": "aws_sm",
"mode": "pull",
"status": "awaiting_review",
"region": "us-east-1",
"discovered_count": 42,
"approved_count": 30,
"rejected_count": 2,
"committed_count": 0,
"expired_count": 0,
"denylisted_count": 1,
"error_details": null,
"created_at": "2026-05-20T09:00:00Z",
"started_at": "2026-05-20T09:00:05Z",
"completed_at": null,
"created_by": "user-uuid"
}
]
}
curl "https://api.knoxcall.com/admin/migrations?status=awaiting_review" \
-H "Authorization: Bearer $KC_ADMIN_JWT"